router id 10.0.0.2;
log stderr all;

vpn4 table vrf4;
ipv4 table vrf_blue;

protocol device {
}

protocol static static_vpn {
	vpn4 { table vrf4; };

	route 65002:1 10.20.1.0/24 via 10.0.0.200 srv6 fc00:a2::1;
	route 65002:1 10.20.2.0/24 via 10.0.0.200 srv6 fc00:a2::2;
	route 65002:1 10.20.3.0/24 via 10.0.0.200 srv6 fc00:a2::3;
}

protocol bgp peer1 {
	local 10.0.0.2 as 65002;
	neighbor 10.0.0.1 as 65001;
	direct;

	vpn4 mpls {
		table vrf4;
		import all;
		export all;
	};
}

protocol l3vpn l3vpn_blue {
	rd 65002:1;
	import target all;
	export target (rt, 65002, 1);

	vpn4 { table vrf4; };
	ipv4 { table vrf_blue; };
}

protocol kernel {
	ipv4 {
		table vrf_blue;
		export all;
		import none;
	};
	kernel table 20;
}
